Package org.jboss.resteasy.spi.metadata

## Class Parameter

- java.lang.Object
- - org.jboss.resteasy.spi.metadata.Parameter

- Direct Known Subclasses:
    `ConstructorParameter`, `FieldParameter`, `MethodParameter`, `SetterParameter`

      public abstract class Parameter
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `Parameter.ParamType` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `defaultValue` |
    `protected boolean` | `encoded` |
    `protected Type` | `genericType` |
    `protected String` | `paramName` |
    `protected Parameter.ParamType` | `paramType` |
    `protected ResourceClass` | `resourceClass` |
    `protected Class<?>` | `type` |

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Parameter​(ResourceClass resourceClass, Class<?> type, Type genericType)` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract AccessibleObject` | `getAccessibleObject()` |
    `abstract Annotation[]` | `getAnnotations()` |
    `String` | `getDefaultValue()` |
    `Type` | `getGenericType()` |
    `String` | `getParamName()` |
    `Parameter.ParamType` | `getParamType()` |
    `ResourceClass` | `getResourceClass()` |
    `Class<?>` | `getType()` |
    `boolean` | `isEncoded()` |
    `void` | `setDefaultValue​(String defaultValue)` |
    `void` | `setEncoded​(boolean encoded)` |
    `void` | `setParamName​(String paramName)` |
    `void` | `setParamType​(Parameter.ParamType paramType)` |
    `void` | `setResourceClass​(ResourceClass resourceClass)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### resourceClass

          protected ResourceClass resourceClass

    - #### type

          protected Class<?> type

    - #### genericType

          protected Type genericType

    - #### paramType

          protected Parameter.ParamType paramType

    - #### paramName

          protected String paramName

    - #### encoded

          protected boolean encoded

    - #### defaultValue

          protected String defaultValue

  - ### Constructor Detail

    - #### Parameter

          protected Parameter​(ResourceClass resourceClass,
                              Class<?> type,
                              Type genericType)

  - ### Method Detail

    - #### getResourceClass

          public ResourceClass getResourceClass()

    - #### setResourceClass

          public void setResourceClass​(ResourceClass resourceClass)

    - #### getType

          public Class<?> getType()

    - #### getGenericType

          public Type getGenericType()

    - #### getParamType

          public Parameter.ParamType getParamType()

    - #### getParamName

          public String getParamName()

    - #### isEncoded

          public boolean isEncoded()

    - #### getDefaultValue

          public String getDefaultValue()

    - #### setParamType

          public void setParamType​(Parameter.ParamType paramType)

    - #### setParamName

          public void setParamName​(String paramName)

    - #### setDefaultValue

          public void setDefaultValue​(String defaultValue)

    - #### setEncoded

          public void setEncoded​(boolean encoded)

    - #### getAccessibleObject

          public abstract AccessibleObject getAccessibleObject()

    - #### getAnnotations

          public abstract Annotation[] getAnnotations()